#ifndef DS18S20_H
#define DS18S20_H

#include <avr/io.h>
#include "lcd.h"

#define XTAL 	8				//in MHz
#define DDRx	DDRB
#define PORTx	PORTB
#define PINx	PINB
#define Px		0

unsigned char i = 0;
unsigned char scratchpad [9] = {0, 0, 0, 0, 0, 0, 0, 0, 0};

void delay_us (unsigned short us);
void delay_ms (unsigned short ms);
void wait_ready (void);				//Polling, bis Temperaturwandlung fertig

unsigned char reset (void);

unsigned char read_bit (void);
void write_bit (unsigned char bitval);
unsigned char read_byte (void);
void write_byte (unsigned char byte);
unsigned char read_scratchpad (void);

#endif

