#include "ds18s20.c"
#include "lcd.c"
#include <stdlib.h>

int main (void) {
	
	lcd_init (LCD_DISP_ON);
	lcd_clrscr ();

	unsigned short temperature = 0;
	unsigned char buffer [3] = {0,0,0};

	for (;;) {
		if (read_scratchpad ()) {
			lcd_gotoxy (0,0);
			i = 8;
			while (i) {
				if (scratchpad [1] & (1<<i-1))
					lcd_putc ('1');
				else
					lcd_putc ('0');
				i--;
			}
			i = 8;
			while (i) {
				if (scratchpad [0] & (1<<i-1))
					lcd_putc ('1');
				else
					lcd_putc ('0');
				i--;
			}
		}
		delay_us (1000);
		temperature = (scratchpad [1] << 8) + scratchpad [0];
		temperature /= 2;
		itoa (temperature, buffer, 10);
		lcd_gotoxy (0,1);
		lcd_puts (buffer);
		lcd_puts ("C");
	}
	return 0;
}

